package com.ltgk.port.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ltgk.common.core.domain.AjaxResult;
import com.ltgk.port.domain.dto.WarnAreaInfoListReq;
import com.ltgk.port.domain.entity.WarnAreaInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface WarnAreaInfoService extends IService<WarnAreaInfo> {
    AjaxResult saveWarnAreaInfo(WarnAreaInfo warnAreaInfo);

    List<WarnAreaInfo> list(WarnAreaInfoListReq warnAreaInfoListReq);

    void export(HttpServletResponse response, WarnAreaInfo entity);

    void importTemplate(HttpServletResponse response);

    AjaxResult importData(MultipartFile file) throws IOException;
}
